#include "plugin/PluginDirector.h"

PluginDirector::PluginDirector(const AgString & homeDir, const AgString & additionalPluginDirs, std::list<AgString> allowedPlugins)
{
    UNUSED(homeDir);
    UNUSED(additionalPluginDirs);
    UNUSED(allowedPlugins);
}

void PluginDirector::stop()
{
    //todo
    assert(0);
}

AgString PluginDirector::convertId(const AgString & id)
{
    if(pluginIdMap.find(id) != pluginIdMap.end()) {
        return pluginIdMap[id];
    }

    return id;
}

BasePluginPtr PluginDirector::getExistingPlugin(const AgString & id)
{
    UNUSED(id);
    return BasePluginPtr();
}

bool PluginDirector::isPluginAllowed(const AgString & id)
{
    UNUSED(id);
    assert(0);
    //todo
    return true;
}
